/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.ChequeClt;

import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 * @author Maher
 */
public class ChequeCltGestionListe {
    
    private final SimpleStringProperty IdCheque;
    private final SimpleStringProperty NumeroCheque;
    private final SimpleStringProperty Banque;
    private final SimpleStringProperty DateCheque;
    private final SimpleStringProperty Montant;
    private final SimpleStringProperty CodeClt;
    private final SimpleStringProperty TypeClt;
    private final SimpleStringProperty NomClt;
    private final SimpleStringProperty PrenomClt;
    private final SimpleStringProperty IdFacture;
    private final SimpleStringProperty Etat;
    private final SimpleBooleanProperty Selected;
    
    // 0 ==> Cheque (table cheque_clt)
    // 1 ==> Traite (table traite_paiement_cheque_clt)
    private final SimpleIntegerProperty Source; 
    
    public ChequeCltGestionListe(String id_cheque, String numero_cheque, String banque, String date_cheque, String montant, String code_clt, String type_clt, String nom_clt, String prenom_clt, String id_facture, String etat, Integer source, Boolean is_selected) {
        this.IdCheque = new SimpleStringProperty(id_cheque);
        this.NumeroCheque = new SimpleStringProperty(numero_cheque);
        this.Banque = new SimpleStringProperty(banque);
        this.DateCheque = new SimpleStringProperty(date_cheque);
        this.Montant = new SimpleStringProperty(montant);
        this.CodeClt = new SimpleStringProperty(code_clt);
        this.TypeClt = new SimpleStringProperty(type_clt);
        this.NomClt = new SimpleStringProperty(nom_clt);
        this.PrenomClt = new SimpleStringProperty(prenom_clt);
        this.IdFacture = new SimpleStringProperty(id_facture);
        this.Etat = new SimpleStringProperty(etat);
        this.Source = new SimpleIntegerProperty(source);
        this.Selected = new SimpleBooleanProperty(is_selected);
    }
    
    
    
    public String getIdCheque() {
        return IdCheque.get();
    }
    
    public String getNumeroCheque() {
        return NumeroCheque.get();
    }
    
    public String getBanque() {
        return Banque.get();
    }
    
    public String getDateCheque() {
        return DateCheque.get();
    }
    public String getMontant() {
        return Montant.get();
    }
    
    public String getCodeClt() {
        return CodeClt.get();
    }
    
    public String getTypeClt() {
        return TypeClt.get();
    }
    
    public String getNomClt() {
        return NomClt.get();
    }
    
    public String getPrenomClt() {
        return PrenomClt.get();
    }
    
    
    public String getIdFacture() {
        return IdFacture.get();
    }
    
    public String getEtat() {
        return Etat.get();
    }
    
    public void setEtat(String etat) {
            Etat.set(etat);
    }
    
    public Integer getSource() {
        return Source.get();
    }
    
    public Boolean getSelected() {
        return Selected.get();
    }
    
     public void setSelected(Boolean is_select) {
            Selected.set(is_select);
    }
}
